Loading...
Searching...
No Matches
argagg::invalid_flag Struct Reference

This exception is thrown when an option's flag is invalid. This can be the case if the flag is not prefixed by one or two hyphens or contains non alpha-numeric characters after the hyphens. See is_valid_flag_definition() for more details. More...

`#include <argagg.hpp>`

Inheritance diagram for argagg::invalid_flag:

## Public Member Functions

T | runtime_error (T... args)
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)
Public Member Functions inherited from std::exception
T | what (T... args)
T | ~exception (T... args)
T | operator= (T... args)
T | exception (T... args)

## Detailed Description

This exception is thrown when an option's flag is invalid. This can be the case if the flag is not prefixed by one or two hyphens or contains non alpha-numeric characters after the hyphens. See is_valid_flag_definition() for more details.

Definition at line 141 of file argagg.hpp.

## Member Function Documentation

## runtime_error()

T std::runtime_error::runtime_error | ( | T... | args | ) |

The documentation for this struct was generated from the following file:

- argagg.hpp